%define name soqt
%define oname SoQt
%define version 1.5.0
%define release %mkrel 1

%define major 20
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d


Summary: SoQt interfaces Coin with the Qt GUI library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.coin3d.org/pub/coin/src/%{oname}-%{version}.tar.gz
Patch0:	soqt-lib.patch
License: GPLv2
Group: System/Libraries
URL: http://www.coin3d.org/

BuildRequires: coin-devel
BuildRequires: libqt4-devel

%description 
SoQt interfaces Coin with the Qt GUI library.

%package -n %{libname}
Summary: Main library for SoQt
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SoQt.

%package -n %{libnamedev}
Summary: Headers for developing programs that will use SoQt
Group: Development/C++
Requires: %{libname} = %{version}
Requires: coin-devel
Requires: libqt4-devel
Provides: %{name}-devel = %{version}-%{release}
Provides: libsoqt-devel

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SoQt.

%prep
%setup -q -n %oname-%version
%if "%{_lib}" == "lib64"
%patch0
%endif

%build

QTDIR="%qt4dir"
export QTDIR
# export LDFLAGS=$QTDIR/%{_lib}
%configure2_5x --disable-rpath
%make

%install
%makeinstall_std

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%doc README FAQ AUTHORS NEWS
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/SoQt.pc
%{_includedir}/*
%{_datadir}/Coin/conf/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%if %{mdkver} < 201200
%{_libdir}/*.la
%endif


%changelog
* Thu Jan 26 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.5.0-1mdv2012.0
+ Revision: 769046
- new version 1.5.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1-5mdv2009.0
+ Revision: 260905
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1-4mdv2009.0
+ Revision: 252779
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 1.4.1-2mdv2008.1
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 71686
- fix x86_64 patch
- 1.4.1
- Import soqt



* Tue Jul  4 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.0-3mdv2007.0
- rebuild to fix devel(libpng) dep

* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.0-2mdv2007.0
- fix build on x86_64

* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0
- Fix BuildRequires

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3a-2mdk
- rebuild

* Mon Oct 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3a-1mdk
- from Jan Villat <rpms@djdie.net> :
	- Updated version number

* Mon May 05 2003 Jan Villat <rpms@djdie.net> 1.0.0-1mdk
- First RPM build

# end of file
